summaryrefslogtreecommitdiffstats
path: root/bin/snapshot
diff options
context:
space:
mode:
authorAlbert Cheng <acheng@hdfgroup.org>1999-06-17 00:33:00 (GMT)
committerAlbert Cheng <acheng@hdfgroup.org>1999-06-17 00:33:00 (GMT)
commit45d2895bfa87309c25f5d8baf28fe97c4621e3b8 (patch)
tree968040fdbafe59c47953fef91a7f2c151b32284e /bin/snapshot
parenta7042d44930499f07b187e1695e5f139c8a6ff2f (diff)
downloadhdf5-45d2895bfa87309c25f5d8baf28fe97c4621e3b8.zip
hdf5-45d2895bfa87309c25f5d8baf28fe97c4621e3b8.tar.gz
hdf5-45d2895bfa87309c25f5d8baf28fe97c4621e3b8.tar.bz2
[svn-r1358] Update the ftp site to the AFS area.
Added in the exit-on-error mode to abort cvs commit if errors encountered.
Diffstat (limited to 'bin/snapshot')
-rwxr-xr-xbin/snapshot5
1 files changed, 4 insertions, 1 deletions
diff --git a/bin/snapshot b/bin/snapshot
index 680a44e..ca18723 100755
--- a/bin/snapshot
+++ b/bin/snapshot
@@ -14,7 +14,7 @@ date
PATH="/usr/local/bin:$PATH"
# Where are the snapshots stored?
-ARCHIVES=/hdf3/ftp/pub/outgoing/hdf5/snapshots
+ARCHIVES=/afs/ncsa/ftp/HDF/pub/outgoing/hdf5/snapshots
if [ "$1" ]; then
ARCHIVES="$1"
shift
@@ -68,8 +68,11 @@ if [ "$snapshot" = "yes" ]; then
fi
# Release snapshot, update version, and commit to cvs and tag
+# Turn on exit on error in the sub-shell so that it does not
+# cvs commit if errors encounter here.
if [ "$snapshot" = "yes" ]; then
(
+ set -e
cd ${COMPARE}/current
cvs -Q tag hdf5-`perl -w bin/h5vers |tr . _`
bin/release -d $ARCHIVES $METHODS